name = "fedora43-base"
description = "Fedora Base Installation"
version = "0.2.2"
distro = "fedora-43"
modules = []
groups = []

[customizations]
hostname = "fedora43-base"

[customizations.timezone]
timezone = "America/New_York"

[[customizations.disk.partitions]]
type = "plain"
label = "root"
mountpoint = "/"
fs_type = "ext4"
minsize = "128 GiB"

[customizations.firewall.services]
enabled = ["ssh", "cockpit"]

[customizations.services]
enabled = ["sshd", "cockpit.socket"]

[[packages]]
name = "bash-completion"
version = "*"

[[packages]]
name = "tmux"
version = "*"

[[packages]]
name = "openssh-server"
version = "*"

[[packages]]
name = "vim"
version = "*"

[[packages]]
name = "git"
version = "*"

[[packages]]
name = "cockpit"
version = "*"

[[packages]]
name = "borgbackup"
version = "*"

[[packages]]
name = "policycoreutils-python-utils"
version = "*"

[[packages]]
name = "systemd-container"
version = "*"

[[customizations.files]]
path = "/root/.inputrc"
mode = "0644"
user = "root"
group = "root"
data = """
"\\C-h": backward-kill-word
"""

[[customizations.files]]
path = "/root/.ssh/authorized_keys"
mode = "0600"
user = "root"
group = "root"
data = """
ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIGQa781Qj8mNlUdRquFFqg0O2ornG9SBHe705y4+1vPI ssh@ducoterra.net
"""

[[customizations.user]]
name = "ducoterra"
password = "$6$QqOw6ktp6aiPy5kX$cpN.oar4CiofH0PpxyveJgkjsRFGnZ5ykOX/50DcJyU3hZFxc5R3SASemNW6m3jceLGgZrQHyALQl8SgtcNO90"
key = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIGQa781Qj8mNlUdRquFFqg0O2ornG9SBHe705y4+1vPI ssh@ducoterra.net"
home = "/home/ducoterra/"
shell = "/usr/bin/bash"
groups = ["wheel"]
uid = 1000

[[customizations.files]]
path = "/home/ducoterra/.inputrc"
mode = "0644"
user = "ducoterra"
group = "ducoterra"
data = """
"\\C-h": backward-kill-word
"""
